=== debian/changelog ===
ros-noetic-mir-msgs (1.1.7-1focal) focal; urgency=high

  * Build new msgs (#117 <https://github.com/dfki-ric/mir_robot/issues/117>)
    Need to build new msg files. The files were added in a previous commit, but not added here for build and installation.
  * Update MirMoveBase action to 2.10.3.1
  * Update BMSData.msg to MiR software 2.13.2
    This is an "unsafe" change (it breaks compatibility with MiR versions <=
    2.13.2), but since BMSData is not published by the mir_driver currently,
    it should be ok.
  * Add new messages added in MiR software 2.13.4.1
    This does not break compatibility with earlier versions (like 2.8.3.1),
    because these messages did not exist before.
    Actually, these messages were added in 2.10.3.1 (all other messages) and
    2.13.0.4 (ServiceResponseHeader.msg).
  * Update Brake, Gripper + Height State msg to 2.13.4.1
    These are "unsafe" message changes (fields have been removed), but it
    should be ok because these are only used in HookExtendedStatus, and that
    message isn't forwarded by the mir_driver.
  * Partially update messages to MiR software 2.13.4.1
    This only contains the "safe" changes, where fields were added. Also, it
    doesn't include the move of some messages to mir_hook_shared_interface,
    but keeps them here.
  * Don't set cmake_policy CMP0048
  * Contributors: Martin Günther, moooeeeep

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 19 Jan 2023 23:00:00 -0000

ros-noetic-mir-msgs (1.1.6-1focal) focal; urgency=high

  * Rename mir_100 -> mir
    This is in preparation of mir_250 support.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 01 Jun 2022 22:00:00 -0000

ros-noetic-mir-msgs (1.1.5-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 10 Feb 2022 23:00:00 -0000

ros-noetic-mir-msgs (1.1.4-1focal) focal; urgency=high

  * mir_msgs: Build all messages (#98 <https://github.com/dfki-ric/mir_robot/issues/98>)
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 09 Dec 2021 23:00:00 -0000

ros-noetic-mir-msgs (1.1.3-1focal) focal; urgency=high

  * Merge branch 'melodic-2.8' into noetic
  * Update BMSData msg to MiR software 2.8.3.1
  * Remove MirStatus
    This message was removed in MiR software 2.0 (Renamed to RobotStatus).
  * Update mir_msgs to 2.8.2.2
  * Contributors: Felix, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 10 Jun 2021 22:00:00 -0000

ros-noetic-mir-msgs (1.1.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-mir-msgs (1.1.1-1focal) focal; urgency=high

  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 10 Feb 2021 23:00:00 -0000

ros-noetic-mir-msgs (1.1.0-1focal) focal; urgency=high

  * Initial release into noetic
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Jun 2020 22:00:00 -0000

ros-noetic-mir-msgs (1.0.6-1focal) focal; urgency=high

  * Fix some catkin_lint warnings
  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Jun 2020 22:00:00 -0000

ros-noetic-mir-msgs (1.0.5-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 30 Apr 2020 22:00:00 -0000

ros-noetic-mir-msgs (1.0.4-1focal) focal; urgency=high

  * Update mir_msgs and mir_actions to MiR 2.3.1
    The following changes were made to the actual mir_msgs:
    * rename mirMsgs -> mir_msgs
    * rename proximity -> Proximity
    * rename serial -> Serial
    * keep MirStatus msg (was replaced by RobotStatus in MiR software 2.0)
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-noetic-mir-msgs (1.0.3-1focal) focal; urgency=high

  * mir_msgs: Compile new msgs + rename mirMsgs -> mir_msgs
  * mir_msgs: Add geometry_msgs dependency
    Now that we have an actual msg package dependency, we don't need the std_msgs placeholder any more.
  * mir_msgs: Add new messages on kinetic
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 03 Mar 2019 23:00:00 -0000

ros-noetic-mir-msgs (1.0.2-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 29 Jul 2018 22:00:00 -0000

ros-noetic-mir-msgs (1.0.1-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Mon, 16 Jul 2018 22:00:00 -0000

ros-noetic-mir-msgs (1.0.0-1focal) focal; urgency=high

  * Initial release
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 11 Jul 2018 22:00:00 -0000
